from fastapi import APIRouter
from starlette.responses import Response

from fabcal.calendar_client import get_data


router = APIRouter()


@router.get("/events.ics")
async def events():
    return Response(
        await get_data(),
        headers={
            "content-type": "text/calendar",
        },
    )
